searchNodes=[{"type":"module","title":"Credo.Check.Readability.SinglePipePatch","doc":"Basics This check is disabled by default. Learn how to enable it via .credo.exs . This check is tagged :controversial This means that this check is more opinionated than others and not for everyone's taste. This check has a base priority of high and works with any version of Elixir. Explanation Pipes ( |&gt; ) should only be used when piping data through multiple calls. So while this is fine: list |&gt; Enum . take ( 5 ) |&gt; Enum . shuffle |&gt; evaluate ( ) The code in this example ... list |&gt; evaluate ( ) ... should be refactored to look like this: evaluate ( list ) Using a single |&gt; to invoke functions makes the code harder to read. Instead, write a function call when a pipeline is only one function long. Like all Readability issues, this one is not a technical concern. But you can improve the odds of others reading and liking your code by making it easier to follow. Check-Specific Parameters Use the following parameters to configure this check: :allow_0_arity_functions Allow 0-arity functions This parameter defaults to false . :excluded_functions Allow single pipes starting with Module.function in list. This parameter defaults to [] . General Parameters Like with all checks, general params can be applied. Parameters can be configured via the .credo.exs config file .","ref":"Credo.Check.Readability.SinglePipePatch.html"},{"type":"module","title":"Credo.Check.Refactor.ABCSizePatch","doc":"Basics This check is disabled by default. Learn how to enable it via .credo.exs . This check is tagged :controversial This means that this check is more opinionated than others and not for everyone's taste. This check has a base priority of 0 and works with any version of Elixir. Explanation The ABC size describes a metric based on assignments, branches and conditions. A high ABC size is a hint that a function might be doing &quot;more&quot; than it should. As always: Take any metric with a grain of salt. Since this one was originally introduced for C, C++ and Java, we still have to see whether or not this can be a useful metric in a declarative language like Elixir. Check-Specific Parameters Use the following parameters to configure this check: :max_size The maximum ABC size a function should have. This parameter defaults to 30 . :excluded_functions All functions listed will be ignored. This parameter defaults to [] . General Parameters Like with all checks, general params can be applied. Parameters can be configured via the .credo.exs config file .","ref":"Credo.Check.Refactor.ABCSizePatch.html"},{"type":"function","title":"Credo.Check.Refactor.ABCSizePatch.abc_size_for/2","doc":"Returns the ABC size for the block inside the given AST, which is expected to represent a function or macro definition. iex&gt; { :def , [ line : 1 ] , ...&gt; [ ...&gt; { :first_fun , [ line : 1 ] , nil } , ...&gt; [ do : { := , [ line : 2 ] , [ { :x , [ line : 2 ] , nil } , 1 ] } ] ...&gt; ] ...&gt; } |&gt; Credo.Check.Refactor.ABCSize . abc_size 1.0","ref":"Credo.Check.Refactor.ABCSizePatch.html#abc_size_for/2"},{"type":"module","title":"Noizu.Context","doc":"Context module for Noizu.","ref":"Noizu.Context.html"},{"type":"function","title":"Noizu.Context.admin/0","doc":"","ref":"Noizu.Context.html#admin/0"},{"type":"function","title":"Noizu.Context.admin/1","doc":"","ref":"Noizu.Context.html#admin/1"},{"type":"function","title":"Noizu.Context.dummy/0","doc":"placeholder for when real credentials need to be plumbed in, making it easy to find and cleanup over time.","ref":"Noizu.Context.html#dummy/0"},{"type":"function","title":"Noizu.Context.dummy/1","doc":"","ref":"Noizu.Context.html#dummy/1"},{"type":"function","title":"Noizu.Context.dummy_for_user/2","doc":"","ref":"Noizu.Context.html#dummy_for_user/2"},{"type":"function","title":"Noizu.Context.internal/0","doc":"","ref":"Noizu.Context.html#internal/0"},{"type":"function","title":"Noizu.Context.internal/1","doc":"","ref":"Noizu.Context.html#internal/1"},{"type":"function","title":"Noizu.Context.option/2","doc":"","ref":"Noizu.Context.html#option/2"},{"type":"function","title":"Noizu.Context.option/3","doc":"","ref":"Noizu.Context.html#option/3"},{"type":"function","title":"Noizu.Context.restricted/0","doc":"","ref":"Noizu.Context.html#restricted/0"},{"type":"function","title":"Noizu.Context.restricted/1","doc":"","ref":"Noizu.Context.html#restricted/1"},{"type":"function","title":"Noizu.Context.system/0","doc":"","ref":"Noizu.Context.html#system/0"},{"type":"function","title":"Noizu.Context.system/1","doc":"","ref":"Noizu.Context.html#system/1"},{"type":"function","title":"Noizu.Context.with_option/3","doc":"","ref":"Noizu.Context.html#with_option/3"},{"type":"function","title":"Noizu.Context.with_options/2","doc":"","ref":"Noizu.Context.html#with_options/2"},{"type":"module","title":"Noizu.Context.Entity","doc":"Stub Placeholder Entity","ref":"Noizu.Context.Entity.html"},{"type":"function","title":"Noizu.Context.Entity.id/1","doc":"","ref":"Noizu.Context.Entity.html#id/1"},{"type":"function","title":"Noizu.Context.Entity.ref/1","doc":"","ref":"Noizu.Context.Entity.html#ref/1"},{"type":"module","title":"Noizu.Context.Records","doc":"Records for the context module.","ref":"Noizu.Context.Records.html"},{"type":"macro","title":"Noizu.Context.Records.context/1","doc":"","ref":"Noizu.Context.Records.html#context/1"},{"type":"macro","title":"Noizu.Context.Records.context/2","doc":"","ref":"Noizu.Context.Records.html#context/2"},{"type":"module","title":"Noizu.Core","doc":"Core module for Noizu.","ref":"Noizu.Core.html"},{"type":"protocol","title":"Noizu.EntityReference.Protocol","doc":"","ref":"Noizu.EntityReference.Protocol.html"},{"type":"function","title":"Noizu.EntityReference.Protocol.entity/2","doc":"","ref":"Noizu.EntityReference.Protocol.html#entity/2"},{"type":"function","title":"Noizu.EntityReference.Protocol.id/1","doc":"","ref":"Noizu.EntityReference.Protocol.html#id/1"},{"type":"function","title":"Noizu.EntityReference.Protocol.kind/1","doc":"","ref":"Noizu.EntityReference.Protocol.html#kind/1"},{"type":"function","title":"Noizu.EntityReference.Protocol.ref/1","doc":"","ref":"Noizu.EntityReference.Protocol.html#ref/1"},{"type":"function","title":"Noizu.EntityReference.Protocol.sref/1","doc":"","ref":"Noizu.EntityReference.Protocol.html#sref/1"},{"type":"type","title":"Noizu.EntityReference.Protocol.t/0","doc":"All the types that implement this protocol.","ref":"Noizu.EntityReference.Protocol.html#t:t/0"},{"type":"module","title":"Noizu.EntityReference.Records","doc":"ERP record.","ref":"Noizu.EntityReference.Records.html"},{"type":"macro","title":"Noizu.EntityReference.Records.ref/1","doc":"","ref":"Noizu.EntityReference.Records.html#ref/1"},{"type":"macro","title":"Noizu.EntityReference.Records.ref/2","doc":"","ref":"Noizu.EntityReference.Records.html#ref/2"},{"type":"exception","title":"Noizu.Core.ResultException","doc":"","ref":"Noizu.Core.ResultException.html"},{"type":"exception","title":"Noizu.EntityReference.ProtocolException","doc":"","ref":"Noizu.EntityReference.ProtocolException.html"}]